Add information about openid requirements to /admin/info

2010-01-23 20:34 - Holger Just

Status: Closed Start date: 2010-01-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: OpenID Estimated time: 0.00 hour

Target version:    

Description

Issue #3431 asked for information about the installed openid requirements. Resolution was to add some documentation.

For an admins trying to enable openid authentication (like myself) it is however not initially clear that a further dependency (i.e. the

ruby-openid gem) is necessary. Therefore I propose a patch to add the information about the (not) installed gem to admin/info.

The most informative patch however would be a short notice just below the checkbox stating in 3 words that the ruby-openid could

not be found. Thus the admin wuould not be forced to search for hints on why the checkbox might be disabled.

History

#1 - 2010-02-10 02:16 - Eric Davis

- Category set to Accounts / authentication

- Status changed from New to 7

- Assignee set to Eric Davis

#2 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

I am stepping down from working on Redmine.  If someone else is interesting in working on this issue, feel free to reassign it to them.

Eric Davis

#3 - 2011-09-13 10:50 - Etienne Massip

- Category changed from Accounts / authentication to OpenID

#4 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.

#5 - 2021-12-14 01:16 - Go MAEDA

- Status changed from New to Closed

The OpenID support has been dropped by #35755 for the upcoming Redmine 5.0.0.
